scala.tools.nsc.io

# Socket

#### class Socket extends Bytes with Closeable

Source
  Socket.scala

Linear Supertypes
Closeable, Bytes, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Socket
2. Closeable
3. Bytes
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Socket(jsocket: java.net.Socket)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Socket to any2stringadd[Socket] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Socket, B)

   Implicit information
     This member is added by an implicit conversion from Socket to ArrowAssoc[Socket] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def applyReaderAndWriter[T](f: (BufferedReader, PrintWriter) ⇒ T): T

   Creates an InputStream and applies the closure, automatically closing it on completion.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def bufferedInput(): BufferedInputStream

   Definition Classes
     Bytes

9. #### def bufferedOutput(size: Int): BufferedOutputStream

10. #### def bufferedReader(implicit codec: Codec): BufferedReader

11. #### def bytes(): Iterator[Byte]

    Definition Classes
      Bytes

12. #### def bytesAsInts(): Iterator[Int]

    Definition Classes
      Bytes

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def close(): Unit

    Definition Classes
      Socket → Closeable

15. #### def ensuring(cond: (Socket) ⇒ Boolean, msg: ⇒ Any): Socket

    Implicit information
      This member is added by an implicit conversion from Socket to Ensuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (Socket) ⇒ Boolean): Socket

    Implicit information
      This member is added by an implicit conversion from Socket to Ensuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): Socket

    Implicit information
      This member is added by an implicit conversion from Socket to Ensuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): Socket

    Implicit information
      This member is added by an implicit conversion from Socket to Ensuring[Socket] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Socket to StringFormat[Socket] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def getPort(): Int

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### def inputStream(): InputStream

    Definition Classes
      Socket → Bytes

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def length: Long

    Definition Classes
      Bytes

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def outputStream(): OutputStream

33. #### def printWriter(): PrintWriter

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toByteArray(): Array[Byte]

    Definition Classes
      Bytes

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def →[B](y: B): (Socket, B)

    Implicit information
      This member is added by an implicit conversion from Socket to ArrowAssoc[Socket] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Closeable

### Inherited from Bytes

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Socket to any2stringadd[Socket]

### Inherited by implicit conversion StringFormat from Socket to StringFormat[Socket]

### Inherited by implicit conversion Ensuring from Socket to Ensuring[Socket]

### Inherited by implicit conversion ArrowAssoc from Socket to ArrowAssoc[Socket]

### Ungrouped